Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.security.acl
Class AclEnumerator

    java.lang.Object
      de.jsystems.framework.security.acl.AclEnumerator

All Implemented Interfaces:
  Enumeration

public final class AclEnumerator
extends Object
implements Enumeration

Klasse zum Iterieren über alle Hashtables einer ACL. Das sind die Tabellen für allowed/denied für Gruppen und allowed/denied für Users.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`(package private)` | `AclEnumerator(Acl acl, Enumeration userAllowed, Enumeration userDenied, Enumeration groupAllowed, Enumeration groupDenied)` Füllt den AclEnumerator mit den Listen für die erlaubten und verbotenen User- bzw.
`(package private)` | `AclEnumerator(Acl acl, Hashtable userAllowed, Hashtable userDenied, Hashtable groupAllowed, Hashtable groupDenied)` Füllt den AclEnumerator mit den Listen für die erlaubten und verbotenen User- bzw.

Method Summary
`boolean` | `hasMoreElements()` Prüft ob diese Aufzählung noch weitere Elemente enthält.
`Object` | `nextElement()` Gibt das nächste Element der Enumeration zurück falls noch eins existiert.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AclEnumerator

    AclEnumerator(Acl acl,
                  Hashtable userAllowed,
                  Hashtable userDenied,
                  Hashtable groupAllowed,
                  Hashtable groupDenied)

  Füllt den AclEnumerator mit den Listen für die erlaubten und verbotenen User- bzw. Gruppenaktivitäten.

Parameters:
  `acl` - Access Control List zu der die Listen gehören
  `userAllowed` - Liste mit den Aktivitäten die dem User erlaubt sind.
  `userDenied` - Liste mit den Aktivitäten die dem User nicht erlaubt sind.
  `groupAllowed` - Liste mit den Aktivitäten die der Gruppe des Users erlaubt sind.
  `groupDenied` - Liste mit den Aktivitäten die der Gruppe des Users nicht erlaubt sind.

### AclEnumerator

    AclEnumerator(Acl acl,
                  Enumeration userAllowed,
                  Enumeration userDenied,
                  Enumeration groupAllowed,
                  Enumeration groupDenied)

  Füllt den AclEnumerator mit den Listen für die erlaubten und verbotenen User- bzw. Gruppenaktivitäten.

Parameters:
  `acl` - Access Control List zu der die Listen gehören
  `userAllowed` - Liste mit den Aktivitäten die dem User erlaubt sind.
  `userDenied` - Liste mit den Aktivitäten die dem User nicht erlaubt sind.
  `groupAllowed` - Liste mit den Aktivitäten die der Gruppe des Users erlaubt sind.
  `groupDenied` - Liste mit den Aktivitäten die der Gruppe des Users nicht erlaubt sind.

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Prüft ob diese Aufzählung noch weitere Elemente enthält.

  Specified by:
    `hasMoreElements` in interface `Enumeration`
  Returns:
    `true` solange die Enumeration noch ein noch nicht mit ``nextElement()`` gelesenes Element enthält; `false` wenn es kein weiteres Element mehr zu lesen gibt.

### nextElement

    public Object nextElement()

  Gibt das nächste Element der Enumeration zurück falls noch eins existiert.

  Specified by:
    `nextElement` in interface `Enumeration`
  Returns:
    Das nächste Element in dieser Enumeration.
  Throws:
    `NoSuchElementException` - Wenn kein weiteres Element mehr existiert.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD